DevelopersAPIReferencecryptoTransactions
Retrieve crypto transaction
Retrieve one crypto transaction by id with the Walletguide REST API. Parameters, response fields, and a playground you can run.
GET
bearerAuthheader
Authorization<token>A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
walletId*stringRow uuid
Format
uuidid*stringRow uuid
Format
uuidThe crypto transaction
application/json- response
id*stringFormat
uuidwalletId*stringFormat
uuidfirestoreId*string|nullassetId*stringFormat
uuiddate*stringtype*stringValue in
"initialBalance""buy""sell"cryptoCurrency*stringValue in
"BTC""ETH"quantity*numberRange
-140737488355328 <= value <= 140737488355327priceValue*stringpriceCurrency*stringValue in
"EUR""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK""GBP""HKD""HUF""IDR""ILS""INR""ISK""JPY""KRW""MXN""MYR""NOK""NZD""PHP""PLN""RON""SEK""SGD""THB""TRY""USD""ZAR"feesValue*stringfeesCurrency*stringValue in
"EUR""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK""GBP""HKD""HUF""IDR""ILS""INR""ISK""JPY""KRW""MXN""MYR""NOK""NZD""PHP""PLN""RON""SEK""SGD""THB""TRY""USD""ZAR"taxValue*stringtaxCurrency*stringValue in
"EUR""AUD""BGN""BRL""CAD""CHF""CNY""CZK""DKK""GBP""HKD""HUF""IDR""ILS""INR""ISK""JPY""KRW""MXN""MYR""NOK""NZD""PHP""PLN""RON""SEK""SGD""THB""TRY""USD""ZAR"categoryId*stringFormat
uuidnotes*string|nulltransferCounterType*|Value in
"transaction""asset""securityTransaction""cryptoTransaction"nulltransferCounterId*|Format
uuidcreatedTime*|Format
date-timecreatedUserId*string|nulllastUpdatedTime*|Format
date-timelastUpdatedUserId*string|nullcurl -X GET 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/cryptoTransactions/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "date": "string", "type": "initialBalance", "cryptoCurrency": "BTC", "quantity": -140737488355328, "priceValue": "string", "priceCurrency": "EUR", "feesValue": "string", "feesCurrency": "EUR", "taxValue": "string", "taxCurrency": "EUR", "categoryId": "337f5e5d-288b-40d5-be14-901cc3acacc0", "notes": "string", "transferCounterType": "transaction", "transferCounterId": "bfd53a44-3603-4023-978c-daf5f740c5fd", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string"}